Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin
Interface RemoteResourceAliasManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteResourceAliasManager

extends java.rmi.Remote

RemoteResourceAliasManager is used to manage resource aliases remotely.

Method Summary
`java.util.Vector` | `allAssignedGroups(java.lang.String realmName, java.lang.String submitter)` Retrieves all groups for whom a resource alias tree has been set.
`java.util.Vector` | `allAssignedRoles(java.lang.String realmName, java.lang.String submitter)` Retrieves all roles for whom a resource alias tree has been set.
`java.util.Vector` | `allAssignedUsers(java.lang.String realmName, java.lang.String submitter)` Retrieves all users for whom a resource alias tree has been set.
`void` | `deleteAliasOfGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName, java.lang.String aliasPath)` Deprecated. `getInputStreamForUser(String, String, String)`
`void` | `deleteAliasOfRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName, java.lang.String aliasPath)` Deletes a specified alias node from the resource alias tree for a role.
`void` | `deleteAliasOfUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName, java.lang.String aliasPath)` Deletes a specified alias node from the resource alias tree for a user.
`java.util.Vector` | `getAliasesOfGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName)` Gets all alias nodes in the resource alias tree for a specified group.
`java.util.Vector` | `getAliasesOfRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName)` Gets all alias nodes in the resource alias tree for a specified role.
`java.util.Vector` | `getAliasesOfUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName)` Gets all alias nodes in the resource alias tree for a specified user.
`java.lang.String` | `getAllResource(java.lang.String realmName, java.lang.String submitter)` Deprecated. `#getInputStreamForAll(String, String)`
`java.lang.String` | `getAllResource(java.lang.String realmName, java.lang.String submitter, java.util.Locale locale)` Gets the name of an xml file which contains the names of all resources in the server resource tree.
`byte[]` | `getInputStream(java.lang.String realmName, java.lang.String submitter)` Gets the input stream of the resource alias tree XML which contains the names of all resources in the server resource tree.
`byte[]` | `getInputStreamForGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName)` Gets the input stream of the resource alias tree for a group.
`byte[]` | `getInputStreamForRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName)` Gets the input stream of the resource alias tree for a role.
`byte[]` | `getInputStreamForUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName)` Gets the input stream of the resource alias tree for a user.
`boolean` | `hasAliasOfGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName)` Checks whether a resource alias tree has been set for the group.
`boolean` | `hasAliasOfRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName)` Checks whether a resource alias tree has been set for the role.
`boolean` | `hasAliasOfUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName)` Checks whether a resource alias tree has been set for the user.
`boolean` | `hiddenSubaliasGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName, java.lang.String aliasPath)` Checks whether an alias of a group is hidden.
`boolean` | `hiddenSubaliasRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName, java.lang.String aliasPath)` Checks whether an alias of a role is hidden.
`boolean` | `hiddenSubaliasUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName, java.lang.String aliasPath)` Checks whether an alias of a user is hidden.
`java.lang.String` | `refreshAliasOfGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName)` Deprecated. `getInputStreamForGroup(String, String, String)`
`java.lang.String` | `refreshAliasOfRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName)` Deprecated. `getInputStreamForRole(String, String, String)`
`java.lang.String` | `refreshAliasOfUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName)` Refreshes the resource alias tree for a user.
`java.lang.String` | `setAliasForGroup(java.lang.String realmName, java.lang.String submitter, java.lang.String groupName, java.lang.String aliasPath, java.lang.String reaourcePath, boolean hidden)` Sets resource alias for a group.
`java.lang.String` | `setAliasForRole(java.lang.String realmName, java.lang.String submitter, java.lang.String roleName, java.lang.String aliasPath, java.lang.String reaourcePath, boolean hidden)` Sets resource alias for a role.
`java.lang.String` | `setAliasForUser(java.lang.String realmName, java.lang.String submitter, java.lang.String userName, java.lang.String aliasPath, java.lang.String reaourcePath, boolean hidden)` Sets resource alias for a user.

Method Detail

### setAliasForUser

    java.lang.String setAliasForUser(java.lang.String realmName,
                                     java.lang.String submitter,
                                     java.lang.String userName,
                                     java.lang.String aliasPath,
                                     java.lang.String reaourcePath,
                                     boolean hidden)
                                     throws java.rmi.RemoteException

  Sets resource alias for a user.

  Parameters:
    `realmName` - the realm name
    `submitter` - the user who sets the alias. Only administrator can set alias.
    `userName` - the user who is assigned the alias
    `aliasPath` - the complete alias path in the resource tree
    `reaourcePath` - the complete resource path that the alias is mapped to
    `hidden` - the flag of hidden alias
  Returns:
    Returns null if succeeded, otherwise returns error message.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setAliasForRole

    java.lang.String setAliasForRole(java.lang.String realmName,
                                     java.lang.String submitter,
                                     java.lang.String roleName,
                                     java.lang.String aliasPath,
                                     java.lang.String reaourcePath,
                                     boolean hidden)
                                     throws java.rmi.RemoteException

  Sets resource alias for a role.

  Parameters:
    `realmName` - the realm name
    `submitter` - the user who sets the alias. Only administrator can set alias.
    `roleName` - the role who will be assigned the alias
    `aliasPath` - the complete alias path in the resource tree
    `reaourcePath` - the complete resource path that the alias is mapped to
    `hidden` - the flag of hidden alias
  Returns:
    Returns null if succeeded, otherwise returns error message.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setAliasForGroup

    java.lang.String setAliasForGroup(java.lang.String realmName,
                                      java.lang.String submitter,
                                      java.lang.String groupName,
                                      java.lang.String aliasPath,
                                      java.lang.String reaourcePath,
                                      boolean hidden)
                                      throws java.rmi.RemoteException

  Sets resource alias for a group.

  Parameters:
    `realmName` - the realm name
    `submitter` - the user who sets the alias. Only administrator can set alias.
    `groupName` - the group who will be assigned the alias
    `aliasPath` - the complete alias path in the resource tree
    `reaourcePath` - the complete resource path that the alias is mapped to
    `hidden` - the flag of hidden alias
  Returns:
    Returns null if succeeded, otherwise returns error message.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### hasAliasOfUser

    boolean hasAliasOfUser(java.lang.String realmName,
                           java.lang.String submitter,
                           java.lang.String userName)
                           throws java.rmi.RemoteException

  Checks whether a resource alias tree has been set for the user.

  Parameters:
    `realmName` - the realm name
    `submitter` - the user who submits the check request
    `userName` - the user name
  Returns:
    Returns true if a resource alias tree has been set for the user
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### hasAliasOfRole

    boolean hasAliasOfRole(java.lang.String realmName,
                           java.lang.String submitter,
                           java.lang.String roleName)
                           throws java.rmi.RemoteException

  Checks whether a resource alias tree has been set for the role.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `roleName` - the role name
  Returns:
    Returns true if a resource alias tree has been set for the role
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### hasAliasOfGroup

    boolean hasAliasOfGroup(java.lang.String realmName,
                            java.lang.String submitter,
                            java.lang.String groupName)
                            throws java.rmi.RemoteException

  Checks whether a resource alias tree has been set for the group.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `groupName` - the group name
  Returns:
    Returns true if a resource alias tree has been set for the role
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### allAssignedUsers

    java.util.Vector allAssignedUsers(java.lang.String realmName,
                                      java.lang.String submitter)
                                      throws java.rmi.RemoteException

  Retrieves all users for whom a resource alias tree has been set.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
  Returns:
    Returns a Vector object containing the user names.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### allAssignedRoles

    java.util.Vector allAssignedRoles(java.lang.String realmName,
                                      java.lang.String submitter)
                                      throws java.rmi.RemoteException

  Retrieves all roles for whom a resource alias tree has been set.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
  Returns:
    Returns a Vector object containing the role names.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### allAssignedGroups

    java.util.Vector allAssignedGroups(java.lang.String realmName,
                                       java.lang.String submitter)
                                       throws java.rmi.RemoteException

  Retrieves all groups for whom a resource alias tree has been set.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
  Returns:
    Returns a Vector object containing the group names.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAliasesOfUser

    java.util.Vector getAliasesOfUser(java.lang.String realmName,
                                      java.lang.String submitter,
                                      java.lang.String userName)
                                      throws java.rmi.RemoteException

  Gets all alias nodes in the resource alias tree for a specified user.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `userName` - the user name
  Returns:
    Returns a Vector containing `ResourceAlias` objects
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAliasesOfRole

    java.util.Vector getAliasesOfRole(java.lang.String realmName,
                                      java.lang.String submitter,
                                      java.lang.String roleName)
                                      throws java.rmi.RemoteException

  Gets all alias nodes in the resource alias tree for a specified role.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `roleName` - the role name
  Returns:
    Return a Vector containing `ResourceAlias` objects
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAliasesOfGroup

    java.util.Vector getAliasesOfGroup(java.lang.String realmName,
                                       java.lang.String submitter,
                                       java.lang.String groupName)
                                       throws java.rmi.RemoteException

  Gets all alias nodes in the resource alias tree for a specified group.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `groupName` - the group name
  Returns:
    Return a Vector containing `ResourceAlias` objects
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### hiddenSubaliasUser

    boolean hiddenSubaliasUser(java.lang.String realmName,
                               java.lang.String submitter,
                               java.lang.String userName,
                               java.lang.String aliasPath)
                               throws java.rmi.RemoteException

  Checks whether an alias of a user is hidden.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `userName` - the user name
    `aliasPath` - the alias complete path
  Returns:
    true if hidden
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### hiddenSubaliasRole

    boolean hiddenSubaliasRole(java.lang.String realmName,
                               java.lang.String submitter,
                               java.lang.String roleName,
                               java.lang.String aliasPath)
                               throws java.rmi.RemoteException

  Checks whether an alias of a role is hidden.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `roleName` - the role name
    `aliasPath` - the complete alias path
  Returns:
    true if hidden
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### hiddenSubaliasGroup

    boolean hiddenSubaliasGroup(java.lang.String realmName,
                                java.lang.String submitter,
                                java.lang.String groupName,
                                java.lang.String aliasPath)
                                throws java.rmi.RemoteException

  Checks whether an alias of a group is hidden.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `groupName` - the group name
    `aliasPath` - the alias complete path
  Returns:
    true if hidden
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteAliasOfUser

    void deleteAliasOfUser(java.lang.String realmName,
                           java.lang.String submitter,
                           java.lang.String userName,
                           java.lang.String aliasPath)
                           throws java.rmi.RemoteException

  Deletes a specified alias node from the resource alias tree for a user.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `userName` - the user name
    `aliasPath` - the complete alias path
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteAliasOfRole

    void deleteAliasOfRole(java.lang.String realmName,
                           java.lang.String submitter,
                           java.lang.String roleName,
                           java.lang.String aliasPath)
                           throws java.rmi.RemoteException

  Deletes a specified alias node from the resource alias tree for a role.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `roleName` - the role name
    `aliasPath` - the alias complete path
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteAliasOfGroup

    void deleteAliasOfGroup(java.lang.String realmName,
                            java.lang.String submitter,
                            java.lang.String groupName,
                            java.lang.String aliasPath)
                            throws java.rmi.RemoteException

  Deprecated. `getInputStreamForUser(String, String, String)`

  Delete a specified alias node in the resource alias tree for a group.

  Parameters:
    `realmName` - the realm name
    `submitter` - operator name
    `groupName` - the group name
    `aliasPath` - the alias complete path
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### refreshAliasOfUser

    java.lang.String refreshAliasOfUser(java.lang.String realmName,
                                        java.lang.String submitter,
                                        java.lang.String userName)
                                        throws java.rmi.RemoteException

  Refreshes the resource alias tree for a user.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `userName` - the user name
  Returns:
    the name of an xml file
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getInputStreamForUser

    byte[] getInputStreamForUser(java.lang.String realmName,
                                 java.lang.String submitter,
                                 java.lang.String userName)
                                 throws java.rmi.RemoteException

  Gets the input stream of the resource alias tree for a user.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `userName` - the user name
  Returns:
    the input stream of an XML text
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### refreshAliasOfRole

    java.lang.String refreshAliasOfRole(java.lang.String realmName,
                                        java.lang.String submitter,
                                        java.lang.String roleName)
                                        throws java.rmi.RemoteException

  Deprecated. `getInputStreamForRole(String, String, String)`

  Refreshes the resource alias tree for a role.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `roleName` - the role name
  Returns:
    the name of an xml file
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getInputStreamForRole

    byte[] getInputStreamForRole(java.lang.String realmName,
                                 java.lang.String submitter,
                                 java.lang.String roleName)
                                 throws java.rmi.RemoteException

  Gets the input stream of the resource alias tree for a role.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `roleName` - the role name
  Returns:
    the input stream of an XML text
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### refreshAliasOfGroup

    java.lang.String refreshAliasOfGroup(java.lang.String realmName,
                                         java.lang.String submitter,
                                         java.lang.String groupName)
                                         throws java.rmi.RemoteException

  Deprecated. `getInputStreamForGroup(String, String, String)`

  Refreshes the resource alias tree for a group.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `groupName` - the group name
  Returns:
    the name of an xml file
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getInputStreamForGroup

    byte[] getInputStreamForGroup(java.lang.String realmName,
                                  java.lang.String submitter,
                                  java.lang.String groupName)
                                  throws java.rmi.RemoteException

  Gets the input stream of the resource alias tree for a group.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `groupName` - the group name
  Returns:
    the input stream of an XML text
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAllResource

    java.lang.String getAllResource(java.lang.String realmName,
                                    java.lang.String submitter)
                                    throws java.rmi.RemoteException

  Deprecated. `#getInputStreamForAll(String, String)`

  Gets the name of an xml file which contains the names of all resources in the server resource tree.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
  Returns:
    the name of an xml file
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAllResource

    java.lang.String getAllResource(java.lang.String realmName,
                                    java.lang.String submitter,
                                    java.util.Locale locale)
                                    throws java.rmi.RemoteException

  Gets the name of an xml file which contains the names of all resources in the server resource tree.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
    `locale` - the locale
  Returns:
    the name of an xml file
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getInputStream

    byte[] getInputStream(java.lang.String realmName,
                          java.lang.String submitter)
                          throws java.rmi.RemoteException

  Gets the input stream of the resource alias tree XML which contains the names of all resources in the server resource tree.

  Parameters:
    `realmName` - the realm name
    `submitter` - the operator name
  Returns:
    the input stream of an XML text
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD